package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallMemberMoneyRecordMapper;
import com.ruoyi.mall.domain.MallMemberMoneyRecord;
import com.ruoyi.mall.service.IMallMemberMoneyRecordService;

/**
 * 会员金额记录Service业务层处理
 * 
 * @author chang
 * @date 2021-11-25
 */
@Service
public class MallMemberMoneyRecordServiceImpl implements IMallMemberMoneyRecordService 
{
    @Autowired
    private MallMemberMoneyRecordMapper mallMemberMoneyRecordMapper;

    /**
     * 查询会员金额记录
     * 
     * @param id 会员金额记录主键
     * @return 会员金额记录
     */
    @Override
    public MallMemberMoneyRecord selectMallMemberMoneyRecordById(Long id)
    {
        return mallMemberMoneyRecordMapper.selectMallMemberMoneyRecordById(id);
    }

    /**
     * 查询会员金额记录列表
     * 
     * @param mallMemberMoneyRecord 会员金额记录
     * @return 会员金额记录
     */
    @Override
    public List<MallMemberMoneyRecord> selectMallMemberMoneyRecordList(MallMemberMoneyRecord mallMemberMoneyRecord)
    {
        return mallMemberMoneyRecordMapper.selectMallMemberMoneyRecordList(mallMemberMoneyRecord);
    }

    /**
     * 新增会员金额记录
     * 
     * @param mallMemberMoneyRecord 会员金额记录
     * @return 结果
     */
    @Override
    public int insertMallMemberMoneyRecord(MallMemberMoneyRecord mallMemberMoneyRecord)
    {
        return mallMemberMoneyRecordMapper.insertMallMemberMoneyRecord(mallMemberMoneyRecord);
    }

    /**
     * 修改会员金额记录
     * 
     * @param mallMemberMoneyRecord 会员金额记录
     * @return 结果
     */
    @Override
    public int updateMallMemberMoneyRecord(MallMemberMoneyRecord mallMemberMoneyRecord)
    {
        return mallMemberMoneyRecordMapper.updateMallMemberMoneyRecord(mallMemberMoneyRecord);
    }

    /**
     * 批量删除会员金额记录
     * 
     * @param ids 需要删除的会员金额记录主键
     * @return 结果
     */
    @Override
    public int deleteMallMemberMoneyRecordByIds(Long[] ids)
    {
        return mallMemberMoneyRecordMapper.deleteMallMemberMoneyRecordByIds(ids);
    }

    /**
     * 删除会员金额记录信息
     * 
     * @param id 会员金额记录主键
     * @return 结果
     */
    @Override
    public int deleteMallMemberMoneyRecordById(Long id)
    {
        return mallMemberMoneyRecordMapper.deleteMallMemberMoneyRecordById(id);
    }
}
